summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2017-06-10 22:58:52 -0400
committerJune McEnroe <programble@gmail.com>2017-06-10 22:58:52 -0400
commit5f3f1be77c6259d95cabc5a5b10c3cfb50e92a76 (patch)
tree67d846c0a8b5cb023ebcdbc80fecc514cc540068
parentAdd .hushlogin (diff)
downloadsrc-5f3f1be77c6259d95cabc5a5b10c3cfb50e92a76.tar.gz
src-5f3f1be77c6259d95cabc5a5b10c3cfb50e92a76.zip
Add untested install script
Diffstat (limited to '')
-rwxr-xr-xinstall.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 00000000..8b9df7c8
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -eu
+
+common=gdb git gnupg htop the_silver_searcher tmux tree
+
+macos() {
+  homebrew=https://raw.githubusercontent.com/Homebrew/install/master/install
+  xcode-select --install || true
+  [ ! -f /usr/local/bin/brew ] && ruby -e "`curl -fsSL $homebrew`"
+  brew install $common
+  brew install neovim/neovim/neovim openssh
+  brew cask install iterm2
+}
+
+freebsd() {
+  pkg install $common
+  pkg install curl neovim sudo zsh
+}
+
+arch() {
+  pacman -Sy --needed base-devel
+  pacman -Sy --needed $common
+  pacman -Sy --needed neovim openssh zsh
+}
+
+[ "`uname`" = 'Darwin' ] && exec macos
+[ -f /usr/local/sbin/pkg ] && exec freebsd
+[ -f /usr/bin/pacman ] && exec arch
'>Use configOpen to load localCAJune McEnroe 2020-08-24Use configPath to load client cert/privJune McEnroe 2020-08-24Use configOpen in getopt_configJune McEnroe 2020-08-24Import xdg.c from catgirlJune McEnroe 2020-08-23Replace “RAND_bytes” by “getentropy”Issam E. Maghni This removes the dependency on libcrypto. Signed-off-by: Issam E. Maghni <issam.e.maghni@mailbox.org> 2020-08-16contrib/palaver: Add no message preview flagsJune McEnroe 2020-08-13contrib/palaver: Don't set channel for PMsJune McEnroe 2020-08-13Fix unintended interception of NICK after registrationJune McEnroe Another bug caused by trying to support broken clients. I'm annoyed. 2020-08-12Add Additional Components section to READMEJune McEnroe 2020-08-12Document -L / palaver optionJune McEnroe 2020-08-11contrib/palaver: Document service configurationJune McEnroe 2020-08-11contrib/palaver: Add install target and rc scriptJune McEnroe 2020-08-11contrib/palaver: Implement command and notificationsJune McEnroe